---
updatedAt: 2026-05-20T06:40:59.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get the Status of a Validator

Returns the current status of a given validator address.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "version": "1.0.0",
    "title": "Staking Reporting API",
    "description": "### Protocols \nThe following protocols are currently supported:\n* Cardano\n* Cosmos\n* Ethereum\n* NEAR\n* Polkadot\n* Polygon \n* Solana \n",
    "contact": {
      "name": "Blockdaemon",
      "email": "support@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "logo.png"
    }
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/reporting/staking",
      "description": "Production server"
    }
  ],
  "security": [
    {
      "apiKeyAuthHeader": []
    },
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/v1/polkadot/mainnet/validator/status/{address}": {
      "get": {
        "tags": [
          "Polkadot Staking Reporting"
        ],
        "summary": "Get the Status of a Validator",
        "description": "Returns the current status of a given validator address.",
        "operationId": "GetStatusValidator2",
        "parameters": [
          {
            "$ref": "#/components/parameters/ValidatorAddress"
          }
        ],
        "responses": {
          "200": {
            "description": "Status of a Validator",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/StakingStatus2"
                },
                "example": {
                  "address": "11VR4pF6c7kfBhfmuwwjWY3FodeYBKWx7ix2rsRCU2q6hqJ",
                  "status": "active",
                  "commission": 1,
                  "activationDate": "2022-10-02"
                }
              }
            }
          },
          "400": {
            "description": "Invalid value for: path parameter address",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "string"
                },
                "example": "Invalid value for: path parameter address (expected value to match: ^1[a-zA-Z0-9]{40,50}$, but was: BhfmuwwjWY3FodeYBKWx7ix2rsRCU2q6hqJ)"
              }
            }
          },
          "401": {
            "description": "Invalid or expired token",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UnauthorizedError"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/NotFound"
                }
              }
            }
          },
          "405": {
            "description": "Method Not Allowed",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MethodNotAllowed"
                }
              }
            }
          },
          "429": {
            "description": "Rate Limit Exceeded",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TooManyRequests"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ServerError"
                }
              }
            }
          },
          "503": {
            "description": "Service Unavailable",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ServiceUnavailable"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuthHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Opaque",
        "description": "[Legacy Auth] Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      }
    },
    "schemas": {
      "StakingStatus2": {
        "required": [
          "address",
          "status",
          "commission",
          "activationDate"
        ],
        "type": "object",
        "properties": {
          "address": {
            "type": "string",
            "description": "The user-defined address."
          },
          "status": {
            "type": "string",
            "description": "The staking status of the user-defined address."
          },
          "commission": {
            "type": "integer",
            "format": "int64",
            "description": "The validator commission rate. It refers to the percentage of staking rewards that validators are allowed to charge for their services, it varies across validators. Validators have the freedom to choose their commission rate based on various factors, such as their operational costs, infrastructure requirements, and the value they provide to the network."
          },
          "activationDate": {
            "type": "string",
            "format": "date",
            "description": "The activation date."
          }
        }
      },
      "UnauthorizedError": {
        "description": "Invalid or expired token.",
        "allOf": [
          {
            "$ref": "#/components/schemas/error"
          }
        ],
        "example": {
          "status": 401,
          "code": "401",
          "title": "Unauthorized",
          "detail": "https://blockdaemon.com/documentation/"
        }
      },
      "TooManyRequests": {
        "description": "Rate limit exceeded.",
        "allOf": [
          {
            "$ref": "#/components/schemas/error"
          }
        ],
        "example": {
          "status": 429,
          "code": "429",
          "title": "Too Many Requests",
          "detail": "Request rate limits have been exceeded. Try again after a few seconds."
        }
      },
      "NotFound": {
        "description": "Not Found",
        "items": {
          "type": "string"
        },
        "example": "Not Found"
      },
      "MethodNotAllowed": {
        "description": "Method Not Allowed",
        "allOf": [
          {
            "$ref": "#/components/schemas/error"
          }
        ],
        "example": {
          "status": 405,
          "code": 405,
          "title": "method not allowed",
          "detail": "https://blockdaemon.com/documentation/"
        }
      },
      "ServerError": {
        "description": "An internal server error happened.",
        "allOf": [
          {
            "$ref": "#/components/schemas/error"
          }
        ],
        "example": {
          "status": 500,
          "code": "500",
          "title": "Internal Server Error",
          "detail": "https://blockdaemon.com/documentation/"
        }
      },
      "ServiceUnavailable": {
        "description": "Service Unavailable",
        "allOf": [
          {
            "$ref": "#/components/schemas/error"
          }
        ],
        "example": {
          "status": 503,
          "code": "503",
          "title": "Unavailable",
          "detail": "https://blockdaemon.com/documentation/"
        }
      },
      "error": {
        "type": "object",
        "properties": {
          "status": {
            "type": "integer",
            "description": "The HTTP status of the error.",
            "example": 400
          },
          "code": {
            "type": "integer",
            "description": "The numeric error code.",
            "example": 16384
          },
          "title": {
            "type": "string",
            "description": "The short error description.",
            "example": "Invalid Address"
          },
          "detail": {
            "type": "string",
            "description": "The long error description.",
            "example": "The requested address is invalid on this protocol"
          }
        }
      }
    },
    "parameters": {
      "ValidatorAddress": {
        "in": "path",
        "name": "address",
        "description": "A single public address to check.",
        "required": true,
        "schema": {
          "type": "string",
          "default": "11VR4pF6c7kfBhfmuwwjWY3FodeYBKWx7ix2rsRCU2q6hqJ",
          "pattern": "^1[a-zA-Z0-9]{40,50}$"
        },
        "example": "11VR4pF6c7kfBhfmuwwjWY3FodeYBKWx7ix2rsRCU2q6hqJ"
      }
    }
  },
  "x-readme": {
    "samples-languages": [
      "curl",
      "go",
      "javascript",
      "python",
      "node"
    ],
    "explorer-enabled": false
  }
}
```